Межсайтовый скриптинг в glFusion

Дата публикации:
21.02.2013
Дата изменения:
21.02.2013
Всего просмотров:
1012
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2013-1466
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
glFusion 1.x
Уязвимые версии: glFusion 1.2.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной обработки входных данных в нескольких параметрах в нескольких сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Пример:

http://[host]/profiles.php?subject
http://[host]/calendar/index.php?address1&address2&calendar_type&city&state&title&url&zipcode
http://[host]/links/index.php?title&url

2. Уязвимость существует из-за недостаточной обработки входных данных в URL в сценарии admin/plugins/mediagallery/xppubwiz.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://www.glfusion.org/

Решение: Установите последнюю версию 1.2.2.pl4 с сайта производителя.

Ссылки: http://www.glfusion.org/article.php/glf122_update_20130130_01
https://www.htbridge.com/advisory/HTB23142

или введите имя

CAPTCHA